.navbar {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;

    &-inner {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    &-toggle {
        display: none;
        cursor: pointer;
        color: black;
        transform: scale(1.5);
        @include maxWidth(991px) {
            display: block;
        }
    }

    &-actions {
        @include maxWidth(991px) {
            display: none;
        }
    }
}

.menu {
    display: flex;

    &-buy {
        display: none;

        @include maxWidth(991px) {
            display: block;

            & > button {
                width: 100%;
                border-top-left-radius: 0;
                border-top-right-radius: 0;
            }
        }
    }

    &-item {
        @include maxWidth(991px) {
            padding: 1.5rem 1.5rem 0;
            border-bottom: 1px solid rgb(224, 222, 222);
        }
    }

    &-link {
        padding: 1.5rem 1rem;

        @include maxWidth(991px) {
            padding: 0;
        }
    }

    @include maxWidth(991px) {
        flex-direction: column;

        transform: translateX(calc(100% + 2rem));

        position: fixed;
        z-index: 21;
        background-color: #fff;
        top: 0.7rem;
        left: 1rem;

        width: calc(100% - 2rem);
        max-height: calc(100% - 2rem);
        border-radius: 0.375rem;

        overflow-y: scroll;
        overflow-x: hidden;

        transition: transform 350ms ease-in-out;

        &.show {
            transform: translateX(0);
            box-shadow: #ccced3 0px 24px 64px 0px;
        }

        &.show > &-close {
            opacity: 1;
            visibility: visible;
        }
    }

    &-close {
        cursor: pointer;
        padding: 0.5rem;

        opacity: 0;
        visibility: hidden;
        transition: all 0.2s ease;

        font-size: 1.8rem;
        color: $color_black;

        position: absolute;
        right: 1rem;
        top: 1rem;
        z-index: 99;
    }
}
.dropdown {
    position: relative;
    &-list {
        position: absolute;
        left: 50%;
        top: 150%;
        z-index: 2;
        transform: translate(-50%, 2rem);

        min-width: 22rem;
        padding: 0.5rem 1.5rem;
        border-radius: 0.5rem;

        background-color: #fff;
        box-shadow: #ccced3 0px 24px 64px 0px;

        opacity: 0;
        visibility: hidden;
        transition: all 200ms ease-in-out;

        @include maxWidth(991px) {
            transform: translate(0);
            box-shadow: none;
            position: static;

            margin-top: 1.5rem;
            padding: 0;
            min-width: 0;

            opacity: 1;
            visibility: visible;
        }
    }

    &-item {
        display: flex;
        align-items: center;

        padding: 1rem 0.5rem;
        cursor: pointer;

        &:not(:last-child) {
            border-bottom: 1px solid rgb(209, 207, 207);
        }

        &-icon {
            height: 2.25rem;
            width: 2.25rem;
        }

        &-content {
            margin-left: 1rem;
        }

        &-heading {
            text-transform: uppercase;
            font-size: 0.75rem;
            color: $color_primary;
            font-weight: 500;
            letter-spacing: 0.08em;
        }

        &-text {
            color: #506690;
            font-size: 0.85rem;
            margin-top: 0.4rem;
            display: block;
        }

        &-ver {
            color: $color_primary;
            background-color: rgba(51, 94, 234, 0.1);
            border-radius: 50rem;
            margin-left: auto;
            display: inline-block;
            padding: 0.15rem 0.75rem;
            font-size: 0.75rem;
        }

        &-menu {
            margin-top: 0.4rem;

            & > a {
                transition: color 200ms ease-in-out;
                margin-bottom: 0.75rem;

                & > span {
                    color: $color_primary;
                    font-size: 0.8rem;
                }
            }

            & > a:hover {
                color: $color_primary;
            }
        }

        @include maxWidth(991px) {
            padding: 1rem 0;
        }
    }

    &:hover > &-list {
        opacity: 1;
        visibility: visible;
        transform: translate(-50%, 0);

        @include maxWidth(991px) {
            transform: translate(0);
        }
    }

    #navbarPages + &-list {
        display: flex;
        min-width: 35rem;
        padding: 1.5rem 2rem;

        @include maxWidth(991px) {
            padding: 0;
            align-items: flex-start;
            min-width: 0;
        }
    }

    &-left > &-item,
    &-right > &-item {
        padding: 0.5rem;
        border: 0;

        flex-direction: column;
        align-items: flex-start;
        flex-basis: 50%;

        cursor: auto;

        @include maxWidth(991px) {
            padding: 0;
            margin-bottom: 1rem;
        }
    }

    &-left,
    &-right {
        flex-basis: 50%;
        display: flex;
        justify-content: flex-start;
        flex-wrap: wrap;

        @include maxWidth(991px) {
            padding: 0;
            display: flex;
            flex-direction: column;
            flex-wrap: nowrap;
            justify-content: flex-start;
        }
    }

    #navbarLandings + &-list {
        display: flex;
        min-width: 42rem;
        padding: 0;
        overflow: hidden;

        @include maxWidth(991px) {
            min-width: 0;
        }
    }

    &-img + &-right {
        padding: 1rem 1.5rem 1rem 2rem;

        @include maxWidth(991px) {
            padding: 0;
            flex-direction: row;
            flex-basis: 100%;
        }
    }

    &-img {
        background-image: url("../images/photo-3.jpg");
        background-position: center center;
        background-size: cover;

        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: center;
        align-items: center;

        position: relative;
        color: #fff;

        & > * {
            position: relative;
        }

        &-heading {
            font-size: 1.1rem;
            font-weight: 500;
        }

        &-desc {
            font-size: 0.875rem;
        }

        &-view {
            margin-top: 1rem;
        }

        &::before {
            position: absolute;
            content: "";
            inset: 0;
            background-color: $color_primary;
            opacity: 0.7;
        }
    }

    &-item-menu.mb-1 {
        margin-bottom: 1rem;
    }

    #navbarAccount + &-list {
        min-width: 14rem;
        padding: 1rem;

        @include maxWidth(991px) {
            padding: 0;
            min-width: 0;
            padding-bottom: 1rem;
        }
    }

    #navbarAccount + &-list > &-item {
        border: 0;
        padding: 0.5rem 1rem;
        position: relative;

        @include maxWidth(991px) {
            padding: 0.5rem 0;
            flex-direction: column;
            align-items: flex-start;
        }
    }

    &-menu {
        position: absolute;
        left: calc(100% + 1rem);
        top: -1rem;

        min-width: 14rem;
        padding: 1rem 1rem;
        border-radius: 0.5rem;

        background-color: #fff;
        box-shadow: #ccced3 0px 24px 64px 0px;

        opacity: 0;
        visibility: hidden;
        transition: all 200ms ease-in-out;

        @include maxWidth(991px) {
            position: static;
            opacity: 1;
            visibility: visible;
            box-shadow: none;

            padding: 0.5rem 1rem;
            display: none;
        }

        &.show {
            display: block;
        }
    }

    &-link {
        display: block;
        color: $color_muted;
        font-size: 0.85rem;
        padding: 0.5rem 1rem;
        transition: color 200ms ease-in-out;

        &:hover {
            color: $color_primary;
        }
    }

    #navbarAccount + &-list > &-item:hover > &-menu {
        opacity: 1;
        visibility: visible;
    }

    #navbarDocumentation + &-list {
        @include maxWidth(991px) {
            padding-bottom: 1rem;
        }
    }

    &-toggle {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        font-size: 0.85rem;
        color: #506690;

        &:hover {
            color: $color_primary;
        }
    }
}

@include maxWidth(991px) {
    .dropdown {
        &-img {
            display: none;
        }
    }
}
